none
发布订阅问题 RRS feed

答案

  • Will get error if sql2k8 r2 table uses data type that not available in sql2k5.
    2013年4月18日 14:01
  • 可以的,不过有主意事项:

    Including the two previous releases, we can therefore replicate between SQL Server 2008, 2005 and 2000. Of course, certain service packs need to be applied: SQL 2000 has to have SP3 and SQL 2005 needs SP2.

    If you do mix versions, you should know that SQL Server takes the lowest common denominator approach. That means that if you have at least one SQL 2000 Subscriber, you are limited to SQL 2000 functionality for replication. When you set up the Publication, the wizard asks you about the levels of SQL Server supported by the subscribers. The more levels you check off, the more you are limiting replication functionality. Obviously, running Publishers, Distributors and Subscribers at the latest release is going to allow the maximum features, but that is not always possible.


    Please Mark As Answer if it is helpful.

    2013年4月19日 1:33

全部回复

  • LZ你好,SQL2005是可以订阅SQL2008 R2的 只要是SQL2005有的订阅类型

    给我写信: QQ我:点击这里给我发消息

    2013年4月18日 12:11
  • Will get error if sql2k8 r2 table uses data type that not available in sql2k5.
    2013年4月18日 14:01
  • Will get error if sql2k8 r2 table uses data type that not available in sql2k5.
    没错,数据类型也要考虑

    给我写信: QQ我:点击这里给我发消息

    2013年4月18日 14:10
  • 可以的,不过有主意事项:

    Including the two previous releases, we can therefore replicate between SQL Server 2008, 2005 and 2000. Of course, certain service packs need to be applied: SQL 2000 has to have SP3 and SQL 2005 needs SP2.

    If you do mix versions, you should know that SQL Server takes the lowest common denominator approach. That means that if you have at least one SQL 2000 Subscriber, you are limited to SQL 2000 functionality for replication. When you set up the Publication, the wizard asks you about the levels of SQL Server supported by the subscribers. The more levels you check off, the more you are limiting replication functionality. Obviously, running Publishers, Distributors and Subscribers at the latest release is going to allow the maximum features, but that is not always possible.


    Please Mark As Answer if it is helpful.

    2013年4月19日 1:33
  • 就是订阅的数据库补丁要打上最新的

    选择订阅的时候要选择SQL 版本


    给我写信: QQ我:点击这里给我发消息

    2013年4月19日 2:06